Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047178
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminorhave not tried2021-06-17 18:152021-07-01 11:48
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047178: JIRA-1902: First click after changing the keymap page does not select the clicked element

DescriptionUsers can drag a keymap to change the current page, if the keymap has several pages. Sometimes, clicking a keymap element right after changing the current page by dragging does not produce the expected result (i.e. the clicked keymap category is not selected).

This happens only if the position of the cursor when the drag has been long enough to change the page is outside the keymap.
Steps To Reproduce1- Open WebPOS
2- Select the Store Keymap
3- Make the window narrow to change the category keymap layout so that only two are displayed in each page, so that the keymap contains several pages.
4- Drag the keymap from right to left, starting from the right part of the keymap so that when the page is changed the cursor is still in the keymap. Click on a keymap category after the page is changed -> it will be selected, as expected
5- Repeat the same action, but when dragging the page start from the left part of the keymap so that the page is changed when the cursor is outside the keymap, to its left. Click on a keymap category after the page is changed -> it will not be selected, an extra click is required -> this is wrong

If Device mode is on (by using a touch device or by activating it in the dev tools), changing the page in both steps 4 and 5 will fail.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046581 closedhernan-dp [21Q2] JIRA-1902: The swipe gesture scrolls different in the Carousel component 
depends on backport 0047268TAP closedAugustoMauch JIRA-1902: First click after changing the keymap page does not select the clicked element 

-  Notes
(0129633)
hgbot (developer)
2021-06-17 21:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/569 [^]
(0130053)
hgbot (developer)
2021-07-01 11:48

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/569 [^]
(0130054)
hgbot (developer)
2021-07-01 11:48

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 376698953968db125b65545d5cb77a28fa424d17
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2021-07-01T11:48:17+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/376698953968db125b65545d5cb77a28fa424d17 [^]

Fixes ISSUE-47178: First click after page change does not work sometimes

Two problems have been fixed:
- In touch devices there was no need to ignore the mouse up right after changing the page, because the onClickCapture event is not triggered
- In other devices sometimes (i.e. when mouse was outside keymap) onClickCapture was not triggered. This has been fixed by replacing it
with a mouseup event listener to the main window

---
M web-jspack/org.openbravo.core2/src/components/BaseKeymap/hooks/usePagination.js
---

- Issue History
Date Modified Username Field Change
2021-06-17 18:15 AugustoMauch New Issue
2021-06-17 18:15 AugustoMauch Assigned To => AugustoMauch
2021-06-17 18:15 AugustoMauch Triggers an Emergency Pack => No
2021-06-17 20:21 AugustoMauch Steps to Reproduce Updated View Revisions
2021-06-17 21:07 hgbot Note Added: 0129633
2021-06-18 12:02 dmiguelez Status new => acknowledged
2021-06-28 19:32 guilleaer Status acknowledged => scheduled
2021-06-28 19:35 guilleaer Relationship added related to 0046581
2021-06-28 19:35 guilleaer Summary First click after changing the keymap page does not select the clicked element => JIRA-1902: First click after changing the keymap page does not select the clicked element
2021-07-01 11:48 hgbot Resolution open => fixed
2021-07-01 11:48 hgbot Note Added: 0130053
2021-07-01 11:48 hgbot Status scheduled => closed
2021-07-01 11:48 hgbot Note Added: 0130054


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker